Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.PROJECTIONARGS

java.lang.Object
java.lang.Enum<BuilderToken.PROJECTIONARGS>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.PROJECTIONARGS

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.PROJECTIONARGS>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.PROJECTIONARGS extends Enum<BuilderToken.PROJECTIONARGS>
Projection args model
specific fields: version, id, ...
$fields : [ #version:1, #id:1... ]

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Deprecated.
  Use empty projection to select all fields.
  `ALLUNITUPS`
  All Unit's parents
  `APPROXIMATE_CREATION_DATE`
  `APPROXIMATE_UPDATE_DATE`
  `BATCH_ID`
  Unit or GOT's batch identifier (Collect-only)
  `COMPUTED_INHERITED_RULES`
  computedInheritedRules
  `DUA`
  Deprecated.
  Use "#management.AppraisalRule.Rules.Rule" instead.
  `ELIMINATION`
  elimination
  `ERRORS`
  `FORMAT`
  Object format
  `GRAPH`
  List of all parent graph relations
  `GRAPH_LAST_PERSISTED_DATE`
  Graph last persisted date
  `HISTORY`
  history field
  `ID`
  Id of the item
  `IMPLEMENTATIONVERSION`
  Current Vitam Version
  `INITIAL_OPERATION`
  Unit or GOT's initial operation
  `LAST_PERSISTED_DATE`
  Last persisted date (logbook operation & lifecycle documents)
  `MANAGEMENT`
  Management bloc
  `MANAGEMENT_CONTRACT_ID`
  Management contract Id
  `MAX`
  Unit's MAX distance from root
  `MIN`
  Unit's MIN distance from root
  `NBCHILD`
  Number of copies or number of children
  `NBOBJECTS`
  Number of objects within ObjectGroup
  `NBUNITS`
  Number of units immediate children from this Unit
  `OBJECT`
  Unit's ObjectGroup
  `OBJECT_GROUP_INFO`
  `OPERATION_TRANSFERS`
  `OPERATIONS`
  Unit or GOT's list of participating operations
  `ORIGINATING_AGENCIES`
  originating agencies
  `ORIGINATING_AGENCY`
  originating agency
  `PARENT_ORIGINATING_AGENCIES`
  Deprecated.
  Will be removed in future release
  `PARENTS`
  parents arrays
  `QUALIFIERS`
  Qualifiers field
  `SCORE`
  Document scoring according to research
  `SEDAVERSION`
  Current Seda Version
  `SIZE`
  Object size
  `STORAGE`
  Storage field in OG
  `TENANT`
  Unit/ObjectGroup Tenant
  `TYPE`
  Unit/ObjectGroup type
  `UNITTYPE`
  unit type bloc
  `UNITUPS`
  Unit's immediate parents
  `UPLOAD_PATH`
  Initial upload path (Collect-only)
  `USAGE`
  Document's usage (BINARY_MASTER, PHYSICAL_MASTER, DISSEMINATION, ...)
  `VALID_COMPUTED_INHERITED_RULES`
  `VERSION`
  Document's version (number of update on document)
  `VIRTUAL_UPS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.PROJECTIONARGS`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.PROJECTIONARGS[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final BuilderToken.PROJECTIONARGS ID
    Id of the item

  - ### NBUNITS

    public static final BuilderToken.PROJECTIONARGS NBUNITS
    Number of units immediate children from this Unit

  - ### NBOBJECTS

    public static final BuilderToken.PROJECTIONARGS NBOBJECTS
    Number of objects within ObjectGroup

  - ### NBCHILD

    public static final BuilderToken.PROJECTIONARGS NBCHILD
    Number of copies or number of children

  - ### DUA

    public static final BuilderToken.PROJECTIONARGS DUA
    Deprecated.
    Use "#management.AppraisalRule.Rules.Rule" instead. Will be removed in future releases
    All Dua for the result

  - ### ALL

    public static final BuilderToken.PROJECTIONARGS ALL
    Deprecated.
    Use empty projection to select all fields.
    All fields for the result or None except Id

  - ### QUALIFIERS

    public static final BuilderToken.PROJECTIONARGS QUALIFIERS
    Qualifiers field

  - ### SIZE

    public static final BuilderToken.PROJECTIONARGS SIZE
    Object size

  - ### FORMAT

    public static final BuilderToken.PROJECTIONARGS FORMAT
    Object format

  - ### TYPE

    public static final BuilderToken.PROJECTIONARGS TYPE
    Unit/ObjectGroup type

  - ### TENANT

    public static final BuilderToken.PROJECTIONARGS TENANT
    Unit/ObjectGroup Tenant

  - ### OBJECT

    public static final BuilderToken.PROJECTIONARGS OBJECT
    Unit's ObjectGroup

  - ### UNITUPS

    public static final BuilderToken.PROJECTIONARGS UNITUPS
    Unit's immediate parents

  - ### MIN

    public static final BuilderToken.PROJECTIONARGS MIN
    Unit's MIN distance from root

  - ### MAX

    public static final BuilderToken.PROJECTIONARGS MAX
    Unit's MAX distance from root

  - ### ALLUNITUPS

    public static final BuilderToken.PROJECTIONARGS ALLUNITUPS
    All Unit's parents

  - ### MANAGEMENT

    public static final BuilderToken.PROJECTIONARGS MANAGEMENT
    Management bloc

  - ### ORIGINATING_AGENCY

    public static final BuilderToken.PROJECTIONARGS ORIGINATING_AGENCY
    originating agency

  - ### ORIGINATING_AGENCIES

    public static final BuilderToken.PROJECTIONARGS ORIGINATING_AGENCIES
    originating agencies

  - ### PARENT_ORIGINATING_AGENCIES

    public static final BuilderToken.PROJECTIONARGS PARENT_ORIGINATING_AGENCIES
    Deprecated.
    Will be removed in future release
    originating agencies by parent

  - ### STORAGE

    public static final BuilderToken.PROJECTIONARGS STORAGE
    Storage field in OG

  - ### MANAGEMENT_CONTRACT_ID

    public static final BuilderToken.PROJECTIONARGS MANAGEMENT_CONTRACT_ID
    Management contract Id

  - ### UNITTYPE

    public static final BuilderToken.PROJECTIONARGS UNITTYPE
    unit type bloc

  - ### PARENTS

    public static final BuilderToken.PROJECTIONARGS PARENTS
    parents arrays

  - ### GRAPH

    public static final BuilderToken.PROJECTIONARGS GRAPH
    List of all parent graph relations

  - ### ELIMINATION

    public static final BuilderToken.PROJECTIONARGS ELIMINATION
    elimination

  - ### GRAPH_LAST_PERSISTED_DATE

    public static final BuilderToken.PROJECTIONARGS GRAPH_LAST_PERSISTED_DATE
    Graph last persisted date

  - ### OPERATIONS

    public static final BuilderToken.PROJECTIONARGS OPERATIONS
    Unit or GOT's list of participating operations

  - ### INITIAL_OPERATION

    public static final BuilderToken.PROJECTIONARGS INITIAL_OPERATION
    Unit or GOT's initial operation

  - ### VERSION

    public static final BuilderToken.PROJECTIONARGS VERSION
    Document's version (number of update on document)

  - ### USAGE

    public static final BuilderToken.PROJECTIONARGS USAGE
    Document's usage (BINARY_MASTER, PHYSICAL_MASTER, DISSEMINATION, ...)

  - ### SCORE

    public static final BuilderToken.PROJECTIONARGS SCORE
    Document scoring according to research

  - ### LAST_PERSISTED_DATE

    public static final BuilderToken.PROJECTIONARGS LAST_PERSISTED_DATE
    Last persisted date (logbook operation & lifecycle documents)

  - ### HISTORY

    public static final BuilderToken.PROJECTIONARGS HISTORY
    history field

  - ### SEDAVERSION

    public static final BuilderToken.PROJECTIONARGS SEDAVERSION
    Current Seda Version

  - ### IMPLEMENTATIONVERSION

    public static final BuilderToken.PROJECTIONARGS IMPLEMENTATIONVERSION
    Current Vitam Version

  - ### COMPUTED_INHERITED_RULES

    public static final BuilderToken.PROJECTIONARGS COMPUTED_INHERITED_RULES
    computedInheritedRules

  - ### VALID_COMPUTED_INHERITED_RULES

    public static final BuilderToken.PROJECTIONARGS VALID_COMPUTED_INHERITED_RULES

  - ### APPROXIMATE_CREATION_DATE

    public static final BuilderToken.PROJECTIONARGS APPROXIMATE_CREATION_DATE

  - ### APPROXIMATE_UPDATE_DATE

    public static final BuilderToken.PROJECTIONARGS APPROXIMATE_UPDATE_DATE

  - ### BATCH_ID

    public static final BuilderToken.PROJECTIONARGS BATCH_ID
    Unit or GOT's batch identifier (Collect-only)

  - ### UPLOAD_PATH

    public static final BuilderToken.PROJECTIONARGS UPLOAD_PATH
    Initial upload path (Collect-only)

  - ### OPERATION_TRANSFERS

    public static final BuilderToken.PROJECTIONARGS OPERATION_TRANSFERS

  - ### VIRTUAL_UPS

    public static final BuilderToken.PROJECTIONARGS VIRTUAL_UPS

  - ### ERRORS

    public static final BuilderToken.PROJECTIONARGS ERRORS

  - ### OBJECT_GROUP_INFO

    public static final BuilderToken.PROJECTIONARGS OBJECT_GROUP_INFO

- ## Method Details

  - ### values

    public static BuilderToken.PROJECTIONARGS[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.PROJECTIONARGS valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token